Futures Isolated

Get running trades

GET/futures/isolated/trades/runningPrivate

Get all the trades that are running

Permissions: futures:isolated:read

Response Body

OK

application/json
  1. response
[index: integer]?

A running trade

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.futures.isolated.getRunningTrades()
[  {    "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",    "type": "market",    "side": "buy",    "openingFee": 10,    "closingFee": 0,    "maintenanceMargin": 1000,    "quantity": 100,    "margin": 1000,    "leverage": 10,    "price": 20000,    "liquidation": 18000,    "stoploss": 10,    "takeprofit": 10,    "stoplossTrailingDistance": 0,    "exitPrice": 0,    "pl": 2,    "createdAt": "2025-09-01T15:04:21.129Z",    "filledAt": "2025-09-01T15:04:21.129Z",    "closedAt": null,    "entryPrice": 20000,    "entryMargin": 1000,    "open": false,    "running": true,    "canceled": false,    "closed": false,    "sumFundingFees": 10,    "sumCashInPl": 0,    "sumCashInMargin": 0,    "clientId": "test-client-id-123"  }]